package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.BisHachRecRep;

/**
 * 危化品入库记录 数据层
 */
@Mapper
public interface BisHachRecRepMapper {

    /**
     * 查询危化品入库记录信息
     * @param guid 查询条件
     * @return 危化品入库记录信息
     */
    BisHachRecRep selectBisHachRecRepByGuid(String guid);

    /**
     * 查询危化品入库记录列表
     * @param bisHachRecRep 危化品入库记录查询条件
     * @return 危化品入库记录集合
     */
    List<BisHachRecRep> selectBisHachRecRepList(BisHachRecRep bisHachRecRep);

    /**
     * 新增危化品入库记录
     * @param bisHachRecRep 危化品入库记录信息
     * @return 影响行数
     */
    int insertBisHachRecRep(BisHachRecRep bisHachRecRep);

    /**
     * 修改危化品入库记录
     * @param bisHachRecRep 危化品入库记录信息
     * @return 影响行数
     */
    int updateBisHachRecRep(BisHachRecRep bisHachRecRep);

    /**
     * 删除危化品入库记录
     * @param guid 危化品入库记录主键
     * @return 影响行数
     */
    int deleteBisHachRecRepByGuid(String guid);

    /**
     * 批量删除危化品入库记录
     * @param guids 危化品入库记录主键数组
     * @return 影响行数
     */
    int deleteBisHachRecRepByGuids(String[] guids);
}
